Subject: Re: bug#69431: 30.0.50; Strange fontificaion behavior

From: OGAWA Hirofumi <[email-masked]>
Date: Wed, 28 Feb 2024 05:23:45 +0900

Andrea Corallo <[email-masked]> writes:

>>> I found a bit more about this. If build with --native-compilation=no, I
>>> can't reproduce, and at least --native-compilation=aot can reproduce.
>>
>> Since this seems to be somehow related to native compilation, I'm
>> adding Andrea to the discussion, in the hope that he could suggest
>> some ideas.
>
> Hi Eli,
>
> thanks.
>
> I suggest to disable `native-comp-jit-compilation' in the .emacs, clean
> the eln-cache and run Emacs ruling out the native compiler, this in
> order to understand why without '(require 'org)' fontification does not
> happen.
>
> My guess is it's because of some quirk in the code and, when the native
> compiler reloads the native compiled version of the code somehow this is
> fixed, at least at a first glance I'd guess is not native compiler
> related (last famous words...).

    $ echo '* Foo' > a.org
    $ emacs -Q --eval '(setq native-comp-jit-compilation nil)' a.org

This seems make fontification work (with or without clean eln-cache).

Thanks.
-- 
OGAWA Hirofumi <[email-masked]>